;;EXAMPLE - remove all physics props
;remove:
;{
;"classname" "/prop_physics.*/"
;}

;;EXAMPLE - replace all garbage cans with a hostage
;modify:
;{
;	match:
;	{	
;	"model" "models/props_junk/garbage_metalcan002a.mdl"
;	"classname" "prop_physics_multiplayer"
;	}
;	replace:
;	{
;	"classname" "hostage_entity"
;	}
;	delete:
;	{
;	"model" "models/props_junk/garbage_metalcan002a.mdl"
;	}
;	insert:
;	{
;	"scale" "0.99"
;	}
;}

; =====================================================
; ==            PILL CABINET MAX OVERRIDE            ==
; ==              Pill cabinet max pills             ==
; =====================================================
; --- Limit pill cabinets to a max of 2 pills
; --- This can be manually overridden on each map, as global filters runs first
modify:
{
	match:
	{
		"model" "models/props_interiors/medicalcabinet02.mdl"
	}
	replace:
	{
		"HealthCount" "2"
	}
}

; --- Medkits
modify:
{
	match:
	{
		"classname" "weapon_item_spawn"
	}
	replace:
	{
		"item2" "0"
	}
}
filter:
{
	"classname" "weapon_first_aid_kit_spawn"
}
{
	"classname" "weapon_first_aid_kit"
}

; --- Grenade Launchers
modify:
{
	match:
	{
		"classname" "weapon_item_spawn"
	}
	replace:
	{
		"item17" "0"
	}
}
filter:
{
	"classname" "weapon_grenade_launcher_spawn"
}
{
	"classname" "weapon_grenade_launcher"
}

; --- Pitchforks
modify:
{
	match:
	{
		"classname" "weapon_melee_spawn"
		"melee_weapon" "pitchfork"
	}
	replace:
	{
		"melee_weapon" "fireaxe"
	}
}

; =====================================================
; ==           INFECTED CLIP / TRIGGER FIX           ==
; ==  Remove or fix clips and triggers for infected  ==
; =====================================================
; --- Remove infected clips
filter:
{
	"classname" "func_playerinfected_clip"
}
; --- Change ghost hurt triggers into regular hurt triggers
modify:
{
	match:
	{
		"classname" "trigger_hurt_ghost"
	}
	replace:
	{
		"classname" "trigger_hurt"
	}
}

